%define	major 4
%define libname	%mklibname pst %{major}
%define develname %mklibname -d pst

Summary:            Utilities to convert Outlook .pst files to other formats
Name:               libpst
Version:            0.6.54
Release:            %mkrel 1
License:            GPLv2+
Group:              Networking/Mail
Source:             http://www.five-ten-sg.com/%{name}/packages/%{name}-%{version}.tar.gz
Patch0:	            libpst-0.6.45-linkage.patch
URL:                http://www.five-ten-sg.com/%{name}/
Requires:           ImageMagick
Requires:	    %{libname} = %{epoch}:%{version}
BuildRequires:      ImageMagick
BuildRequires:      freetype-devel
BuildRequires:      gd-devel
BuildRequires:      jpeg-devel
BuildRequires:      zlib-devel
BuildRequires:      gettext-devel
BuildRequires:      python-devel
BuildRequires:      boost-devel
Obsoletes:	    pst-utils
Provides:	    pst-utils
Epoch:	1

%description
The Libpst utilities include readpst which can convert email messages
to both mbox and MH mailbox formats, pst2ldif which can convert the
contacts to .ldif format for import into ldap databases, and pst2dii
which can convert email messages to the DII load file format used by
Summation.

%package -n	%{libname}
Summary:	A shared library for .pst files support
Group:          System/Libraries

%description -n	%{libname}
Library needed for running libpst tools.

%package -n	%{develname}
Summary:	Library and header files for the libpst library
Group:		Development/C
Provides:	%{name}-devel = %{epoch}:%{version}
Requires:	%{libname} = %{epoch}:%{version}

%description -n	%{develname}
Library and header files for the libpst library.

%package -n python-%name
Summary:	Python binding for the libpst library
Group:		Development/Python
Requires:	%libname = %epoch:%version-%release

%description -n	python-%name
Python module for using pst files.

%prep
%setup -q
%patch0 -p0

%build
%configure2_5x --enable-libpst-shared --enable-shared --disable-static
%make

%install
%makeinstall_std

find %{buildroot} -name '*.la' -delete

%files
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man5/*
%docdir %{_datadir}/doc/%{name}-%{version}
%{_datadir}/doc/%{name}-%{version}

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%{_includedir}/libpst-4/
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc

%files -n python-%name
%py_platsitedir/_libpst.so


%changelog

* Tue Jan 03 2012 fwang <fwang> 1:0.6.54-1.mga2
+ Revision: 189945
- new version 0.6.54

* Mon Nov 28 2011 fwang <fwang> 1:0.6.53-2.mga2
+ Revision: 173622
- rebuild for new boost
- rebuild for new boost

  + tv <tv>
    - new release
    - disabled static build

* Wed Jun 29 2011 fwang <fwang> 1:0.6.52-1.mga2
+ Revision: 115631
- new version 0.6.52

* Wed Jun 22 2011 fwang <fwang> 1:0.6.49-3.mga2
+ Revision: 112071
- use mt flavour of boost
- rebuild for new boost

* Sun Jan 23 2011 pterjan <pterjan> 1:0.6.49-2.mga1
+ Revision: 35407
- imported package libpst

